
Figure - Bug #114776
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT1】【ST】【Tlog】Tlog中勾选QXDM日志，点击stop后tlog中没有QXDM日志生成
2022-12-23 16:36 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-23

Priority: High Due date: 2022-12-27

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2022-12-27

Test Type: ST Root cause: 没有添加tlog_qxdm的bin文件，导致运行命令没有相应文件产生。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，选择QXDM log后start

3、等待一段时间后点击stop

4、查看tlog文件中是否存在QXDM log

【预期结果】

4. QXDM log生成

【实际结果】

5. QXDM log未生成

History

#1 - 2022-12-26 17:07 - CDTS-TEST 周婷

- Due date set to 2022-12-27

- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-27 19:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171802 general/device/qcom/sepolicy_vndr Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

hubing0803@thundersoft.com

system:log:add tlog_qxdmadd tlog_qxdm need selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-114776Change-Id:

Ib7517d003ed1bd74e59ca2da3aa0db5771db8021

#3 - 2022-12-27 19:17 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

172327 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

hubing0803@thundersoft.com

system:log:add tlog_qxdmadd tlog_qxdm need filesTC-RID: 1200-0800102IssueID: TS-R-BUG-114776Change-Id:

I312a69c9c52332de6a8e0d554f447d291ae5014d

#4 - 2022-12-27 19:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171765 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

hubing0803@thundersoft.com

system:log:add tlog_qxdmmodify figure.mkTC-RID: 1200-0800102IssueID: TS-R-BUG-114776Change-Id: I711a94494d579c66957e263852dc544623373101

#5 - 2022-12-27 19:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

171739 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hubing0803@thundersoft.com

system:log:add tlog_qxdmmodify tlog filesTC-RID: 1200-0800102IssueID: TS-R-BUG-114776Change-Id: Ic4e5787d5de029f49eeacd0d7fa534257f6ea24d

#6 - 2022-12-27 19:19 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-27

- Root cause set to 没有添加tlog_qxdm的bin文件，导致运行命令没有相应文件产生。

■ Current conclusion

已处理。运行命令，有qxdm的文件产生。

■ My analysis

没有添加tlog_qxdm的bin文件，导致运行命令没有相应文件产生。

■ Next action 

测试验证

2025-07-04 2/3



#7 - 2022-12-28 15:39 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212280332

验证结果：验证通过

点击stop后，在/data/manual/qxdm 下有日志生成，pull /sdcard/tlog/的压缩包也有文件生成

#8 - 2022-12-28 15:40 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
